<?php
namespace Claromentis\Infocapture\PluginFramework;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array();
use Claromentis\Core\DAL;
interface ICPluginExtended
{
    
    
    
    
    
    
    
    
    public function IssuesListPermissionFilter(string $issue_table_alias) : ?DAL\QueryPart;
    
    
    
    
    
    
    
    
    
    
    public function CheckProjectRights(int $perm, bool $has) : ?bool;
    
    
    
    
    
    
    
    
    
    
    
    public function CheckPotentialRights(int $perm, bool $has) : ?bool;
    
    
    
    
    
    
    
    
    public function CheckHandlerRights(int $perm, bool $has) : ?bool;
    
    
    
    
    
    
    
    
    public function CheckReporterRights(int $perm, bool $has) : ?bool;
    
    
    
    
    
    
    public function GetUsersWithAnyRights(int $rights, array $default_list) : ?array;
    
    
    
    
    
    
    public function GetUsersWithAllRights(int $rights, array $default_list) : ?array;
}